Subject: bug#49864: 28.0.50; Fails to start after "make install"

From: Wilhelm Kirschbaum <[email-masked]>
Date: Thu, 5 Aug 2021 09:02:48 +0200

These are all the *.pdmp files on my system:
/home/wilhelm/src/tools/emacs/src/bootstrap-emacs.pdmp
/home/wilhelm/src/tools/emacs/src/emacs-28.0.50.1.pdmp
/home/wilhelm/src/tools/emacs/src/emacs.pdmp
/usr/local/libexec/emacs/28.0.50/x86_64-pc-linux-gnu/emacs.pdmp

The relative path comment was unimportant, sorry about that. I just meant
that emacs is trying to find
`/usr/local/native-lisp/28.0.50-864bf4e5/preloaded/window-0d1b8b93-dcb2375f.eln`
which does not exist.

>From what I can see these are the only links:
/usr/local/bin/emacs -> emacs-28.0.50
/home/wilhelm/src/tools/otp/lib/tools/emacs/tags.erl -> ../src/tags.erl

The only non-standard configuration is umask set to 0077, but not sure if
that is relevant.

On Thu, Aug 5, 2021 at 8:51 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Wilhelm Kirschbaum <[email-masked]>
> > Date: Thu, 5 Aug 2021 08:42:55 +0200
> > Cc: [email-masked]
> >
> > From a clean environment and emacs install the window and emacs.pdmp
> files are at the following locations
> >
> >
> /home/wilhelm/src/tools/emacs/native-lisp/28.0.50-864bf4e5/preloaded/window-0d1b8b93-dcb2375f.eln
> >
> /usr/local/lib/emacs/28.0.50/native-lisp/28.0.50-864bf4e5/preloaded/window-0d1b8b93-dcb2375f.eln
> >
> > /home/wilhelm/src/tools/emacs/src/emacs.pdmp
> > /usr/local/libexec/emacs/28.0.50/x86_64-pc-linux-gnu/emacs.pdmp
>
> This looks correct.  But is there another *.pdmp file somewhere on
> your system, like in /usr/local/bin/, where the Emacs executable file
> is installed?
>
> > evaluating the relative pathing, it ends up at
> >
> /usr/local/native-lisp/28.0.50-864bf4e5/preloaded/window-0d1b8b93-dcb2375f.eln
>
> I don't think I follow: what do you mean by "evaluating the relative
> pathing"?
>
> Alos, are any of the files/directories involved in this hard or
> symbolic links? if so, can you show where each link points, i.e. the
> real target files/directories of each link?
>
> > the same install process worked about 2 months ago, so I can possibly
> try to find the commit where it still
> > worked
>
> If the above doesn't give any clues, maybe we should find such a
> commit.  But I would prefer first to understand better what happens
> with the current master branch.
>